Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  einzelne Kreise in Blöcke umwandeln

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   einzelne Kreise in Blöcke umwandeln (1089 mal gelesen)
RamonaCAD
Mitglied
Technischer Zeichner

Sehen Sie sich das Profil von RamonaCAD an!   Senden Sie eine Private Message an RamonaCAD  Schreiben Sie einen Gästebucheintrag für RamonaCAD

Beiträge: 1
Registriert: 05.01.2015

ACAD 2014

erstellt am: 05. Jan. 2015 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


ganzvieleKreise.zip

 
Hallo,

Weiß garnicht, ob ich hier richtig bin oder ob das schon abgehandelt wurde in einem anderen Forum. Ich konnte bis jetzt leider nichts finden. 

In meiner Zeichnung (siehe Anhang) sind Sprinklerköpfe mit mehreren einzelnen Kreisen und Linien gezeichnet. Ich möchte aus diesen einzelnen Gebilden Blöcke erstellen. Möchte dabei aber nicht jeden Sprinklerkopf einzeln setzen.

Ich danke im Voraus
Ramona

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 05. Jan. 2015 11:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RamonaCAD 10 Unities + Antwort hilfreich

Hallo Ramona, willkommen im Forum.

Ja, das geht. Es ist etwas Fummelarbeit dabei. Anbei die Schritte. Es geht auch kürzer, aber ich kenne deinen ACAD-Wissensstand nicht.

1
gewünschten Block erstellen.

2
Mit _OVERKILL doppelte Linien loschen. -> Du hast 580 Sprinkler.

3
Alles löschen bis auf einen Kreis pro Sprinkler. Befehl: SAUSWAHL

4
LISP von Lee Mac (cir2ins.lsp) laden.

5
LISP ausführen -> gewünschten Block wählen -> Kreise wählen -> fertig.

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 05. Jan. 2015 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RamonaCAD 10 Unities + Antwort hilfreich

Ja die Frage gab es schon.
http://forum.cad.de/foren/ubb/Forum54/HTML/029512.shtml#000000

Hier ein Makro (von CADmium, nur geringfügig angepasst), das alle Außen-Kreise mit Block "Sprinkler" übermalt.
Objektfang aus, dann einen Block SPRINKLER definieren, dann dieses Lisp-Codeschnipsel in die Befehlszeile einfügen. Danach sollten 580 Sprinkler Blöcke in der Zeichnung eingefügt worden sein.

Code:
(if (Not (tblobjname "BLOCK" "SPRINKLER")) (alert "zuerst einen Block namens SPRINKLER definieren"))
(if(and(setq A(ssget "_x" (list'(0 . "CIRCLE")(cons -4  ">") (cons 40 0.088) (cons 410 (getvar"CTAB")))))
      (tblobjname "BLOCK" "SPRINKLER")
  )   
  (mapcar
    '(lambda(X)(command "_-insert" "SPRINKLER" (cdr(assoc 10 (entget (cadr X)))) 1.0 1.0 0))
    (ssnamex A)
  )
)

[EDIT] ab AutoCAD 2015 command besser durch command-s ersetzen.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

[Diese Nachricht wurde von CAD-Huebner am 05. Jan. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz